## liborcus 0.18.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
cmake_policy(SET CMP0048 NEW)

set(ORCUS_MAJOR_VERSION 0)
set(ORCUS_MINOR_VERSION 18)
set(ORCUS_MICRO_VERSION 1)
set(ORCUS_MAJOR_API_VERSION 0)
set(ORCUS_MINOR_API_VERSION 18)
set(ORCUS_VERSION ${ORCUS_MAJOR_VERSION}.${ORCUS_MINOR_VERSION}.${ORCUS_MICRO_VERSION})
set(ORCUS_API_VERSION ${ORCUS_MAJOR_API_VERSION}.${ORCUS_MINOR_API_VERSION})

project(orcus VERSION ${ORCUS_VERSION} LANGUAGES CXX)
set(CMAKE_CXX_STANDARD 17)

set(MDDS_INCLUDEDIR "" CACHE STRING "path to mdds header directory.")
set(IXION_INCLUDEDIR "" CACHE STRING "path to ixion header directory.")
set(IXION_LIBRARYDIR "" CACHE STRING "path to ixion library directory.")
option(WITH_CPU_FEATURES "whether or not to enable use of CPU extensions.")
option(WITH_SSE42 "whether or not to enable use of SSE 4.2.")
option(WITH_AVX2 "whether or not to enable use of AVX2.")

find_package(Boost COMPONENTS program_options filesystem)
find_package(Threads)
find_package(Python3)
find_package(ZLIB)

include(GNUInstallDirs)

enable_testing()
set(CMAKE_CTEST_COMMAND ctest)

add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})

find_library(IXION_LIB ixion-0.18 PATHS ${IXION_LIBRARYDIR})

if(NOT IXION_LIB)
    message(FATAL_ERROR "Ixion not found.")
endif()

message(STATUS "Found Ixion: ${IXION_LIB}")

if(MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4251 /wd4275 /wd4267 /wd4244 /MP")
    add_definitions(
        -D_CRT_SECURE_NO_WARNINGS
    )
endif(MSVC)

add_definitions(
    ${Boost_LIB_DIAGNOSTIC_DEFINITIONS}
)

if(WITH_CPU_FEATURES)
    add_definitions(-D__ORCUS_CPU_FEATURES)
    message(STATUS "Enabling use of CPU features...")

    if(WITH_AVX2)
        message(STATUS "Enabling AVX2...")
        if(MSVC)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /arch:AVX2")
        else()
            add_definitions(-D__AVX2__)
        endif()
    endif()

    if(WITH_SSE42)
        message(STATUS "Enabling SSE 4.2...")
        add_definitions(-D__SSE4_2__)
    endif()

endif()

include_directories(
    ${PROJECT_SOURCE_DIR}/include
    ${PROJECT_SOURCE_DIR}/src/include
    ${Boost_INCLUDE_DIR}
    ${MDDS_INCLUDEDIR}
    ${IXION_INCLUDEDIR}
    ${ZLIB_INCLUDE_DIRS}
)

link_directories(${Boost_LIBRARY_DIRS})

add_subdirectory(include)
add_subdirectory(src)

=== src/CMakeLists.txt ===

add_subdirectory(test)
add_subdirectory(parser)
add_subdirectory(liborcus)
add_subdirectory(spreadsheet)

add_executable(orcus-detect
    ${PROJECT_SOURCE_DIR}/src/orcus_detect_main.cpp
)

add_executable(orcus-css-dump
    ${PROJECT_SOURCE_DIR}/src/orcus_css_dump.cpp
)

add_executable(orcus-zip-dump
    ${PROJECT_SOURCE_DIR}/src/orcus_zip_dump.cpp
)

add_executable(orcus-json
    ${PROJECT_SOURCE_DIR}/src/cli_global.cpp
    ${PROJECT_SOURCE_DIR}/src/orcus_json_cli.cpp
    ${PROJECT_SOURCE_DIR}/src/orcus_json_cli_map.cpp
)

add_executable(orcus-yaml
    ${PROJECT_SOURCE_DIR}/src/orcus_yaml_main.cpp
)

add_executable(orcus-csv
    ${PROJECT_SOURCE_DIR}/src/orcus_csv_main.cpp
    ${PROJECT_SOURCE_DIR}/src/orcus_filter_global.cpp
)

add_executable(orcus-xml
    ${PROJECT_SOURCE_DIR}/src/orcus_xml_main.cpp
    ${PROJECT_SOURCE_DIR}/src/cli_global.cpp
    ${PROJECT_SOURCE_DIR}/src/orcus_filter_global.cpp
)

add_executable(orcus-ods
    ${PROJECT_SOURCE_DIR}/src/orcus_ods_main.cpp
    ${PROJECT_SOURCE_DIR}/src/orcus_filter_global.cpp
)

add_executable(orcus-styles-ods
    ${PROJECT_SOURCE_DIR}/src/orcus_ods_styles.cpp
    ${PROJECT_SOURCE_DIR}/src/orcus_filter_global.cpp
)

add_executable(orcus-xlsx
    ${PROJECT_SOURCE_DIR}/src/orcus_xlsx_main.cpp
    ${PROJECT_SOURCE_DIR}/src/orcus_filter_global.cpp
)

add_executable(orcus-xls-xml
    ${PROJECT_SOURCE_DIR}/src/orcus_xls_xml_main.cpp
    ${PROJECT_SOURCE_DIR}/src/orcus_filter_global.cpp
)

target_link_libraries(orcus-detect orcus-${ORCUS_API_VERSION})
target_link_libraries(orcus-css-dump orcus-parser-${ORCUS_API_VERSION} orcus-${ORCUS_API_VERSION})
target_link_libraries(orcus-zip-dump orcus-parser-${ORCUS_API_VERSION})
target_link_libraries(orcus-json orcus-parser-${ORCUS_API_VERSION} orcus-${ORCUS_API_VERSION})
target_link_libraries(orcus-yaml orcus-parser-${ORCUS_API_VERSION} orcus-${ORCUS_API_VERSION})
target_link_libraries(orcus-csv orcus-parser-${ORCUS_API_VERSION} orcus-spreadsheet-model-${ORCUS_API_VERSION} orcus-${ORCUS_API_VERSION})
target_link_libraries(orcus-xml orcus-parser-${ORCUS_API_VERSION} orcus-spreadsheet-model-${ORCUS_API_VERSION} orcus-${ORCUS_API_VERSION})
target_link_libraries(orcus-ods orcus-parser-${ORCUS_API_VERSION} orcus-spreadsheet-model-${ORCUS_API_VERSION} orcus-${ORCUS_API_VERSION})
target_link_libraries(orcus-styles-ods orcus-parser-${ORCUS_API_VERSION} orcus-spreadsheet-model-${ORCUS_API_VERSION} orcus-${ORCUS_API_VERSION})
target_link_libraries(orcus-xlsx orcus-parser-${ORCUS_API_VERSION} orcus-spreadsheet-model-${ORCUS_API_VERSION} orcus-${ORCUS_API_VERSION})
target_link_libraries(orcus-xls-xml orcus-parser-${ORCUS_API_VERSION} orcus-spreadsheet-model-${ORCUS_API_VERSION} orcus-${ORCUS_API_VERSION})

add_executable(orcus-env-dump EXCLUDE_FROM_ALL
    orcus_env_dump.cpp
)

target_link_libraries(orcus-env-dump orcus-parser-${ORCUS_API_VERSION} orcus-${ORCUS_API_VERSION})

# test programs

add_executable(orcus-test-csv EXCLUDE_FROM_ALL
    orcus_test_csv.cpp
    orcus_test_global.cpp
)

add_executable(orcus-test-ods EXCLUDE_FROM_ALL
    orcus_test_ods.cpp
)

add_executable(orcus-test-xls-xml EXCLUDE_FROM_ALL
    orcus_test_xls_xml.cpp
    orcus_test_global.cpp
)

add_executable(orcus-test-xlsx EXCLUDE_FROM_ALL
    orcus_test_xlsx.cpp
)

add_executable(orcus-test-xml EXCLUDE_FROM_ALL
    orcus_test_xml.cpp
)

add_executable(orcus-test-xml-mapped EXCLUDE_FROM_ALL
    orcus_test_xml_mapped.cpp
    orcus_test_global.cpp
)

add_executable(orcus-test-json-mapped EXCLUDE_FROM_ALL
    orcus_test_json_mapped.cpp
)

add_executable(orcus-test-import-ods EXCLUDE_FROM_ALL
    orcus_test_import_ods.cpp
)

set(_TESTS
    orcus-test-csv
    orcus-test-ods
    orcus-test-xls-xml
    orcus-test-xlsx
    orcus-test-xml
    orcus-test-xml-mapped
    orcus-test-json-mapped
    orcus-test-import-ods
)

foreach(_TEST ${_TESTS})
    target_link_libraries(${_TEST}
        orcus-parser-${ORCUS_API_VERSION}
        orcus-spreadsheet-model-${ORCUS_API_VERSION}
        orcus-${ORCUS_API_VERSION}
        orcus-test
    )

    target_compile_definitions(${_TEST} PRIVATE
        SRCDIR="${PROJECT_SOURCE_DIR}"
    )

    add_test(${_TEST} ${_TEST})

    # Make sure the liborcus-parser library file is present in the same directory
    # as the test program.
    add_custom_command(TARGET ${_TEST} POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy_if_different
        $<TARGET_FILE:orcus-parser-${ORCUS_API_VERSION}>
        $<TARGET_FILE:orcus-${ORCUS_API_VERSION}>
        $<TARGET_FILE:orcus-spreadsheet-model-${ORCUS_API_VERSION}>
        $<TARGET_FILE_DIR:${_TEST}>
    )
endforeach()

add_dependencies(check ${_TESTS})

install(
    TARGETS
        orcus-detect
        orcus-css-dump
        orcus-zip-dump
        orcus-json
        orcus-yaml
        orcus-csv
        orcus-xml
        orcus-ods
        orcus-styles-ods
        orcus-xlsx
        orcus-xls-xml
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

=== src/liborcus/CMakeLists.txt ===

add_library(orcus-${ORCUS_API_VERSION} SHARED
# core
    config.cpp
    css_document_tree.cpp
    css_selector.cpp
    detection_result.cpp
    dom_tree.cpp
    format_detection.cpp
    formula_result.cpp
    info.cpp
    interface.cpp
    json_document_tree.cpp
    json_map_tree.cpp
    json_structure_mapper.cpp
    json_structure_tree.cpp
    json_util.cpp
    spreadsheet_interface.cpp
    orcus_csv.cpp
    orcus_json.cpp
    orcus_xml.cpp
    orcus_xml_impl.cpp
    orcus_xml_map_def.cpp
    measurement.cpp
    xml_context_base.cpp
    xml_context_global.cpp
    xml_element_types.cpp
    xml_element_validator.cpp
    xml_empty_context.cpp
    xml_map_tree.cpp
    xml_stream_handler.cpp
    xml_stream_parser.hpp
    xml_stream_parser.cpp
    xml_simple_stream_handler.cpp
    xml_structure_mapper.cpp
    xml_structure_tree.cpp
    xml_util.cpp
    xpath_parser.cpp
    yaml_document_tree.cpp
    ooxml_namespace_types.cpp
    ooxml_namespace_types.hpp
    odf_namespace_types.hpp
    odf_namespace_types.cpp
    gnumeric_namespace_types.cpp
    xls_xml_namespace_types.cpp
    session_context.cpp
    spreadsheet_interface.cpp
    spreadsheet_iface_util.cpp
    spreadsheet_types.cpp
    spreadsheet_impl_types.cpp
    string_helper.cpp
# xlsx filter
    ooxml_content_types.cpp
    ooxml_global.cpp
    ooxml_schemas.cpp
    ooxml_tokens.cpp
    ooxml_types.cpp
    opc_context.cpp
    opc_reader.cpp
    orcus_xlsx.cpp
    orcus_import_xlsx.cpp
    xlsx_context.cpp
    xlsx_drawing_context.cpp
    xlsx_handler.cpp
    xlsx_helper.cpp
    xlsx_session_data.cpp
    xlsx_revision_context.cpp
    xlsx_pivot_context.cpp
    xlsx_sheet_context.cpp
    xlsx_conditional_format_context.cpp
    xlsx_table_context.cpp
    xlsx_autofilter_context.cpp
    xlsx_types.cpp
    xlsx_workbook_context.cpp
# xls-xml filter
    xls_xml_tokens.cpp
    orcus_xls_xml.cpp
    xls_xml_detection_handler.cpp
    xls_xml_handler.cpp
    xls_xml_context.cpp
# ods filter
    odf_document_styles_context.cpp
    odf_para_context.cpp
    odf_styles.cpp
    odf_styles_context.cpp
    odf_style_context.cpp
    odf_number_format_context.cpp
    odf_tokens.cpp
    ods_content_xml_context.cpp
    ods_dde_links_context.cpp
    ods_session_data.cpp
    odf_helper.cpp
    orcus_ods.cpp
    orcus_import_ods.cpp
# gnumeric filter
# TODO : document a way to build boost with bzip2 and zlib options, or find
# a way to make this a build-time option.
#   gnumeric_detection_handler.cpp
#   gnumeric_cell_context.cpp
#   gnumeric_context.cpp
#   gnumeric_handler.cpp
#   gnumeric_helper.cpp
#   gnumeric_sheet_context.cpp
#   gnumeric_tokens.cpp
#   orcus_gnumeric.cpp
)

configure_file(constants.inl.in ${CMAKE_CURRENT_BINARY_DIR}/constants.inl)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

target_link_libraries(orcus-${ORCUS_API_VERSION} orcus-parser-${ORCUS_API_VERSION})

target_compile_definitions(orcus-${ORCUS_API_VERSION} PRIVATE
    __ORCUS_BUILDING_DLL
    __ORCUS_XLSX
    __ORCUS_ODS
    __ORCUS_XLS_XML
)

# single-file test programs

set(_TESTS
    common-test
    css-document-tree-test
    dom-tree-test
    format-detection-test
#   gnumeric-cell-context-test
#   gnumeric-helper-test
#   gnumeric-sheet-context-test
    json-document-tree-test
    json-structure-tree-test
    xml-structure-tree-test
    yaml-document-tree-test
)

foreach(_TEST ${_TESTS})
    set(_TEST_FILE ${_TEST}.cpp)
    string(REPLACE "-" "_" _TEST_FILE ${_TEST_FILE})
    add_executable(${_TEST} EXCLUDE_FROM_ALL ${_TEST_FILE})
    target_link_libraries(${_TEST}
        orcus-${ORCUS_API_VERSION}
        orcus-parser-${ORCUS_API_VERSION}
        orcus-test
    )
    target_compile_definitions(${_TEST} PRIVATE
        SRCDIR="${PROJECT_SOURCE_DIR}"
    )
    add_test(${_TEST} ${_TEST})

    # Make sure the orcus-parser library file is present in the same directory
    # as the test program.
    add_custom_command(TARGET ${_TEST} POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy_if_different
        $<TARGET_FILE:orcus-parser-${ORCUS_API_VERSION}>
        $<TARGET_FILE_DIR:${_TEST}>
    )

endforeach()

# multi-file test programs

add_executable(odf-helper-test EXCLUDE_FROM_ALL
    odf_helper_test.cpp
    odf_helper.cpp
    string_helper.cpp
)

add_executable(xlsx-sheet-context-test EXCLUDE_FROM_ALL
    formula_result.cpp
    ooxml_global.cpp
    ooxml_namespace_types.cpp
    ooxml_schemas.cpp
    ooxml_tokens.cpp
    ooxml_types.cpp
    session_context.cpp
    xlsx_autofilter_context.cpp
    xlsx_conditional_format_context.cpp
    xlsx_helper.cpp
    xlsx_session_data.cpp
    xlsx_sheet_context.cpp
    xlsx_sheet_context_test.cpp
    xlsx_types.cpp
    xml_context_base.cpp
    xml_context_global.cpp
    xml_element_types.cpp
    xml_element_validator.cpp
    xml_empty_context.cpp
    xml_util.cpp
)

add_executable(xml-map-tree-test EXCLUDE_FROM_ALL
    xml_map_tree_test.cpp
    spreadsheet_impl_types.cpp
    xml_map_tree.cpp
    xpath_parser.cpp
)

add_executable(json-map-tree-test EXCLUDE_FROM_ALL
    json_map_tree_test.cpp
    json_map_tree.cpp
    spreadsheet_impl_types.cpp
)

add_executable(xpath-parser-test EXCLUDE_FROM_ALL
    xpath_parser_test.cpp
    xpath_parser.cpp
)

target_compile_definitions(xlsx-sheet-context-test PRIVATE
    __ORCUS_STATIC_LIB
)

target_link_libraries(odf-helper-test orcus-${ORCUS_API_VERSION} orcus-parser-${ORCUS_API_VERSION})
target_link_libraries(xlsx-sheet-context-test orcus-${ORCUS_API_VERSION} orcus-parser-${ORCUS_API_VERSION} orcus-test)
target_link_libraries(xml-map-tree-test orcus-${ORCUS_API_VERSION} orcus-parser-${ORCUS_API_VERSION} orcus-test)
target_link_libraries(json-map-tree-test orcus-${ORCUS_API_VERSION} orcus-parser-${ORCUS_API_VERSION})
target_link_libraries(xpath-parser-test orcus-${ORCUS_API_VERSION} orcus-parser-${ORCUS_API_VERSION})
add_test(odf-helper-test odf-helper-test)
add_test(xlsx-sheet-context-test xlsx-sheet-context-test)
add_test(xml-map-tree-test xml-map-tree-test)

add_dependencies(check
    ${_TESTS}
    odf-helper-test
    xlsx-sheet-context-test
    xml-map-tree-test
    json-map-tree-test
    xpath-parser-test
)

install(
    TARGETS
        orcus-${ORCUS_API_VERSION}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

=== src/parser/CMakeLists.txt ===

add_library(orcus-parser-${ORCUS_API_VERSION} SHARED
    base64.cpp
    cell_buffer.cpp
    css_parser_base.cpp
    css_types.cpp
    csv_parser_base.cpp
    exception.cpp
    json_global.cpp
    json_parser_base.cpp
    json_parser_thread.cpp
    parser_base.cpp
    parser_global.cpp
    pstring.cpp
    sax_parser_base.cpp
    sax_token_parser.cpp
    sax_token_parser_thread.cpp
    stream.cpp
    string_pool.cpp
    tokens.cpp
    types.cpp
    utf8.cpp
    xml_namespace.cpp
    xml_writer.cpp
    yaml_parser_base.cpp
    zip_archive.cpp
    zip_archive_stream.cpp
)

target_compile_definitions(orcus-parser-${ORCUS_API_VERSION} PRIVATE
    __ORCUS_PSR_BUILDING_DLL
    _SILENCE_CXX17_CODECVT_HEADER_DEPRECATION_WARNING
)
target_link_libraries(orcus-parser-${ORCUS_API_VERSION} ${ZLIB_LIBRARIES})

# test programs

set(_TESTS
    base64-test
    css-parser-test
    csv-parser-test
    json-parser-test
    parser-base-test
    parser-global-test
    sax-ns-parser-test
    sax-parser-test
    sax-token-parser-test
    stream-test
    string-pool-test
    threaded-json-parser-test
    threaded-sax-token-parser-test
    types-test
    xml-namespace-test
    xml-writer-test
    yaml-parser-test
    zip-archive-test
)

foreach(_TEST ${_TESTS})
    set(_TEST_FILE ${_TEST}.cpp)
    string(REPLACE "-" "_" _TEST_FILE ${_TEST_FILE})
    add_executable(${_TEST} EXCLUDE_FROM_ALL ${_TEST_FILE})
    target_link_libraries(${_TEST}
        orcus-parser-${ORCUS_API_VERSION}
        orcus-test
    )

    target_compile_definitions(${_TEST} PRIVATE
        SRCDIR="${PROJECT_SOURCE_DIR}"
    )

    add_test(${_TEST} ${_TEST})
endforeach()

add_dependencies(check ${_TESTS})

# utf8-test

add_executable(utf8-test utf8.cpp utf8_test.cpp)
target_link_libraries(utf8-test orcus-parser-${ORCUS_API_VERSION})
add_test(utf8-test utf8-test)
add_dependencies(check utf8-test)

install(
    TARGETS
        orcus-parser-${ORCUS_API_VERSION}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

## liborcus 0.3.0

=== debian/changelog ===
liborcus (0.3.0-4) experimental; urgency=low

  * remove misc/OpenDocument-schema-v1.2-cd04.rng, misc/ooxml-ecma-376/ and
    doc/rfc4180-csv.txt from .orig.. 

 -- Rene Engelhard <rene@debian.org>  Sun, 09 Dec 2012 21:34:40 +0100

liborcus (0.3.0-3) experimental; urgency=low

  * add missing build-depend on pkg-config 

 -- Rene Engelhard <rene@debian.org>  Fri, 07 Dec 2012 22:59:13 +0100

liborcus (0.3.0-2) experimental; urgency=low

  * add missing libzip-dev depends to -dev

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Nov 2012 21:34:52 +0100

liborcus (0.3.0-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Nov 2012 15:25:51 +0100

liborcus (0.1.0-1) experimental; urgency=low

  * Initial release

 -- Rene Engelhard <rene@debian.org>  Fri, 23 Nov 2012 20:27:23 +0100

=== debian/control ===
Source: liborcus
Priority: optional
Maintainer: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, libzip-dev, libmdds-dev, python, dh-autoreconf, pkg-config
# libixion-dev (>= 0.5.0~)
Standards-Version: 3.9.3
Section: libs

Package: liborcus-dev
Section: libdevel
Architecture: any
Depends: liborcus-0.4-0 (= ${binary:Version}), libzip-dev, ${misc:Depends}
Description: library for processing spreadsheet documents -- development
 Orcus is a library that provides a collection of standalone file processing
 filters.  It is currently focused on providing filters for spreadsheet
 documents, but filters for other productivity application types (such as
 wordprocessor and presentation) are in consideration.
 .
 The library currently includes filters for xlsx, ods, csv, and generic XML
 formats.
 .
 This package contains headers, pkg-config file snd static library for
 developing applications using Orcus.

Package: liborcus-0.4-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for processing spreadsheet documents
 Orcus is a library that provides a collection of standalone file processing
 filters.  It is currently focused on providing filters for spreadsheet
 documents, but filters for other productivity application types (such as
 wordprocessor and presentation) are in consideration.
 .
 The library currently includes filters for xlsx, ods, csv, and generic XML
 formats.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ENABLE_SPREADSHEET_MODEL=n

%:
	dh $@  --with autotools-dev

override_dh_auto_clean:
	dh_auto_clean
	rm -f bin/token_util.pyc
	rm -f config.log

	find include -name "*.inl" ! -name "*_token_constants.inl" \
		-exec rm {} \;
	rm -f liborcus-0.4.pc
	rm -f src/liborcus/liborcus-test-xml-map-tree \
		src/orcus-test-common \
		src/orcus-test-xml \
		src/liborcus/liborcus-test-string-pool \
		src/liborcus/liborcus-test-xml-namespace \
		src/liborcus/liborcus-test-xml-structure-tree
ifeq "$(ENABLE_SPREADSHEET_MODEL)" "y"
	rm -f liborcus-spreadsheet-model-0.4.pc
	rm -f src/orcus-test-csv \
		src/orcus-test-xml-mapped
endif
	dh_autoreconf_clean
	#rm -f aclocal.m4 configure config.h.in
	#find . -name "Makefile.in" -exec rm {} \;

override_dh_auto_configure:
	dh_autoreconf
ifeq "$(ENABLE_SPREADSHEET_MODEL)" "y"
	dh_auto_configure
else
	dh_auto_configure -- --disable-spreadsheet-model
endif

## liborcus 0.5.1

=== debian/changelog ===
liborcus (0.5.1-7) unstable; urgency=medium

  * --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) (closes: #737486) 

 -- Rene Engelhard <rene@debian.org>  Mon, 03 Feb 2014 07:48:03 +0100

liborcus (0.5.1-6) unstable; urgency=low

  * disable tests on s390 (failure with newer boost, functionality not
    used in LO, s390 to be removed anyways)

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Sep 2013 15:25:41 +0200

liborcus (0.5.1-5) unstable; urgency=low

  * --disable-silent-rules
  * libmdds-dev is only needed with spreadheet-model, thus remove from
    Build-Depends: for now
  * revert back to libboost-dev (1.49) as otherwise the tests fail on s390 

 -- Rene Engelhard <rene@debian.org>  Sat, 27 Jul 2013 16:50:22 +0200

liborcus (0.5.1-4) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Tue, 23 Jul 2013 18:44:10 +0200

liborcus (0.5.1-3) experimental; urgency=low

  * merge liborcus 0.3.0-8:
    + use libboost-system1.53-dev explicitly as libmdds-dev does, too - and
      otherwise we have conflicting build-deps (closes: #713115) 
  * merge from 0.5.1-2ubuntu1:
    + hotfix for autotools boost brokeness

 -- Rene Engelhard <rene@debian.org>  Mon, 01 Jul 2013 22:14:48 +0200

liborcus (0.5.1-2) experimental; urgency=low

  * merge liborcus 0.3.0-7:
    + apparently builds with boost 1.53 need libboost-system-dev;
      add to Build-Depends 
  * remove libzip-dev builddep (not needed anymore), replace by
    zlib1g-dev

 -- Rene Engelhard <rene@debian.org>  Mon, 29 Apr 2013 14:03:46 +0000

liborcus (0.5.1-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 18 Apr 2013 23:44:39 +0200

liborcus (0.3.0-5) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Thu, 18 Apr 2013 23:31:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: liborcus
 Priority: optional
 Maintainer: Rene Engelhard <rene@debian.org>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, libzip-dev, libmdds-dev, python, dh-autoreconf, pkg-config
-# libixion-dev (>= 0.5.0~)
+Build-Depends: debhelper (>= 8.0.0), autotools-dev, zlib1g-dev, python, dh-autoreconf, pkg-config, libboost-system-dev, dpkg-dev (>= 1.16.1)
+# libmdds-dev, libixion-dev (>= 0.5.0~)
 Standards-Version: 3.9.3
 Section: libs
 
 Package: liborcus-dev
 Section: libdevel
 Architecture: any
-Depends: liborcus-0.4-0 (= ${binary:Version}), libzip-dev, ${misc:Depends}
+Depends: liborcus-0.6-0 (= ${binary:Version}), libzip-dev, ${misc:Depends}
 Description: library for processing spreadsheet documents -- development
  Orcus is a library that provides a collection of standalone file processing
  filters.  It is currently focused on providing filters for spreadsheet
@@ -22,7 +22,7 @@
  This package contains headers, pkg-config file snd static library for
  developing applications using Orcus.
 
-Package: liborcus-0.4-0
+Package: liborcus-0.6-0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/architecture.mk
 
 ENABLE_SPREADSHEET_MODEL=n
 
@@ -21,15 +23,21 @@
 
 	find include -name "*.inl" ! -name "*_token_constants.inl" \
 		-exec rm {} \;
-	rm -f liborcus-0.4.pc
+	rm -f liborcus-0.6.pc
 	rm -f src/liborcus/liborcus-test-xml-map-tree \
 		src/orcus-test-common \
 		src/orcus-test-xml \
 		src/liborcus/liborcus-test-string-pool \
 		src/liborcus/liborcus-test-xml-namespace \
-		src/liborcus/liborcus-test-xml-structure-tree
+		src/liborcus/liborcus-test-xml-structure-tree \
+		src/liborcus/gnumeric-cell-context-test \
+		src/liborcus/liborcus-test-common \
+		src/liborcus/orcus-xlsx-sheet-context-test \
+		src/parser/parser-test-base64 \
+		src/parser/parser-test-string-pool \
+		src/parser/parser-test-xml-namespace
 ifeq "$(ENABLE_SPREADSHEET_MODEL)" "y"
-	rm -f liborcus-spreadsheet-model-0.4.pc
+	rm -f liborcus-spreadsheet-model-0.6.pc
 	rm -f src/orcus-test-csv \
 		src/orcus-test-xml-mapped
 endif
@@ -40,7 +48,12 @@
 override_dh_auto_configure:
 	dh_autoreconf
 ifeq "$(ENABLE_SPREADSHEET_MODEL)" "y"
-	dh_auto_configure
+	dh_auto_configure -- --disable-silent-rules --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 else
-	dh_auto_configure -- --disable-spreadsheet-model
+	dh_auto_configure -- --disable-silent-rules --disable-spreadsheet-model --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 endif
+
+ifeq "$(DEB_HOST_ARCH)" "s390"
+override_dh_auto_test:
+endif
+

## liborcus 0.7.0+dfsg

=== debian/changelog ===
liborcus (0.7.0+dfsg-9) unstable; urgency=low

  * sigh, fix control to remove [!ppc64el]s 

 -- Rene Engelhard <rene@debian.org>  Fri, 10 Oct 2014 21:02:42 +0200

liborcus (0.7.0+dfsg-8) unstable; urgency=medium

  * enable spreadsheet-model on ppc64el for consistency as ixion built now

 -- Rene Engelhard <rene@debian.org>  Fri, 10 Oct 2014 18:12:33 +0000

liborcus (0.7.0+dfsg-7) unstable; urgency=medium

  * oops, forgot to remove the Depends on liborcus-spreadsheet-model-0.8-0
    for liborcus-dev on ppc64el 

 -- Rene Engelhard <rene@debian.org>  Sat, 13 Sep 2014 20:11:01 +0200

liborcus (0.7.0+dfsg-6) unstable; urgency=low

  * brown paper bag release.

  * fix -N setting

 -- Rene Engelhard <rene@debian.org>  Sun, 31 Aug 2014 21:27:13 -0700

liborcus (0.7.0+dfsg-5) unstable; urgency=low

  * fix build without spreadsheet model enabled 

  * temporarily disable spreadsheet model on ppc64el until ixion is fixed.
    (not used anywhere anyway)

 -- Rene Engelhard <rene@debian.org>  Sat, 30 Aug 2014 19:26:08 -0700

liborcus (0.7.0+dfsg-4) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Thu, 31 Jul 2014 20:43:13 +0200

liborcus (0.7.0+dfsg-3) experimental; urgency=low

  * merge from liborcus 0.5.1-8:
    - --disable-werror (closes: #746876) 

 -- Rene Engelhard <rene@debian.org>  Mon, 05 May 2014 12:42:23 +0000

liborcus (0.7.0+dfsg-2) experimental; urgency=low

  * ENABLE_SPREADSHEET_MODEL=y; add build-dep on libixion-dev. split
    spreadsheet-model lib out to extra package due to its extra ixion
    dependency
  * remove dh_auto_clean override (fixed) and manual dh_autoreconf, use
    --with autoreconf

 -- Rene Engelhard <rene@debian.org>  Tue, 01 Apr 2014 22:22:00 +0200

liborcus (0.7.0+dfsg-1) experimental; urgency=low

  * remove misc/OpenDocument-schema-v1.2-cd04.rng, misc/ooxml-ecma-376/ and
    doc/rfc4180-csv.txt from .orig again and mention misc/*.py in
    debian/copyright (BSD) (closes: #741250)

 -- Rene Engelhard <rene@debian.org>  Mon, 10 Mar 2014 14:11:20 +0100

liborcus (0.7.0-1) experimental; urgency=low

  * New upstream release
  * fix typo: s/snd/and/ (closes: #732765)

 -- Rene Engelhard <rene@debian.org>  Tue, 04 Mar 2014 21:59:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: liborcus
 Priority: optional
 Maintainer: Rene Engelhard <rene@debian.org>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, zlib1g-dev, python, dh-autoreconf, pkg-config, libboost-system-dev, dpkg-dev (>= 1.16.1)
-# libmdds-dev, libixion-dev (>= 0.5.0~)
+Build-Depends: debhelper (>= 8.0.0), autotools-dev, zlib1g-dev, python, dh-autoreconf, pkg-config, libboost-system-dev, dpkg-dev (>= 1.16.1), libboost-iostreams-dev, libboost-program-options-dev, libboost-filesystem-dev, libmdds-dev (>= 0.8.0), chrpath, libixion-dev (>= 0.7.0~)
 Standards-Version: 3.9.3
 Section: libs
 
 Package: liborcus-dev
 Section: libdevel
 Architecture: any
-Depends: liborcus-0.6-0 (= ${binary:Version}), libzip-dev, ${misc:Depends}
+Depends: liborcus-0.8-0 (= ${binary:Version}), liborcus-spreadsheet-model-0.8-0 (= ${binary:Version}), libzip-dev, ${misc:Depends}
 Description: library for processing spreadsheet documents -- development
  Orcus is a library that provides a collection of standalone file processing
  filters.  It is currently focused on providing filters for spreadsheet
@@ -19,10 +18,10 @@
  The library currently includes filters for xlsx, ods, csv, and generic XML
  formats.
  .
- This package contains headers, pkg-config file snd static library for
+ This package contains headers, pkg-config file and static library for
  developing applications using Orcus.
 
-Package: liborcus-0.6-0
+Package: liborcus-0.8-0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -35,3 +34,18 @@
  The library currently includes filters for xlsx, ods, csv, and generic XML
  formats.
 
+Package: liborcus-spreadsheet-model-0.8-0
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: library for processing spreadsheet documents - spreadsheet model library
+ Orcus is a library that provides a collection of standalone file processing
+ filters.  It is currently focused on providing filters for spreadsheet
+ documents, but filters for other productivity application types (such as
+ wordprocessor and presentation) are in consideration.
+ .
+ The library currently includes filters for xlsx, ods, csv, and generic XML
+ formats.
+ .
+ This package contains a library abstracting the spreadsheet model.
+

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

ENABLE_SPREADSHEET_MODEL=y

ifneq "$(ENABLE_SPREADSHEET_MODEL)" "y"
	export DH_OPTIONS += -Nliborcus-spreadsheet-model-0.8-0
endif

%:
	dh $@  --with autotools-dev --with autoreconf

override_dh_auto_configure:
ifeq "$(ENABLE_SPREADSHEET_MODEL)" "y"
	dh_auto_configure -- --disable-silent-rules --disable-werror --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
else
	dh_auto_configure -- --disable-silent-rules --disable-werror --disable-spreadsheet-model --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
endif

ifeq "$(DEB_HOST_ARCH)" "s390"
override_dh_auto_test:
endif

override_dh_auto_install:
	dh_auto_install
	chrpath -d debian/tmp/usr/lib/liborcus-0.8.so.0.0.0

## liborcus 0.9.2

=== debian/changelog ===
liborcus (0.9.2-4ubuntu2) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Add symbols files.
    - Multiarchify the package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 17:00:10 +0100

liborcus (0.9.2-4) unstable; urgency=medium

  * merge parts of https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=798608:
   - Enable parallel builds.
   - Remove cruft in the debian directory.
  * remove obsolete dependency on libzip-dev (closes: #798729)

 -- Rene Engelhard <rene@debian.org>  Sun, 03 Jan 2016 13:22:48 +0100

liborcus (0.9.2-3ubuntu4) xenial; urgency=medium

  * Multiarchify the package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Feb 2016 20:03:48 +0100

liborcus (0.9.2-3ubuntu3) wily; urgency=medium

  * liborcus-dev: Remove dependency on libzip-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Sep 2015 03:36:56 +0200

liborcus (0.9.2-3ubuntu2) wily; urgency=medium

  * Bump standards version.
  * Enable parallel build.
  * Add symbols files.
  * Remove cruft in the debian directory.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Sep 2015 20:07:59 +0200

liborcus (0.9.2-3) unstable; urgency=medium

  * bump build-dep on ixion to 0.9.1-2 to ensure we have the v5 version...

 -- Rene Engelhard <rene@debian.org>  Tue, 04 Aug 2015 12:43:18 +0200

liborcus (0.9.2-2) unstable; urgency=medium

  * libstdc++6 transition: rename liborcus*0.10-0 to
    liborcus*0.10-0v5

 -- Rene Engelhard <rene@debian.org>  Mon, 03 Aug 2015 17:14:54 +0000

liborcus (0.9.2-1) unstable; urgency=medium

  * New upstream release
  
  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sat, 20 Jun 2015 10:53:50 +0200

liborcus (0.9.1-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 02 Jun 2015 13:13:43 +0200

liborcus (0.9.0-1) experimental; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sat, 25 Apr 2015 18:44:41 +0200

liborcus (0.7.1-1) experimental; urgency=medium

  * New upstream release
    - fixes build with gcc-5 (closes: #777963)

 -- Rene Engelhard <rene@debian.org>  Sun, 05 Apr 2015 13:59:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: liborcus
 Priority: optional
 Maintainer: Rene Engelhard <rene@debian.org>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, zlib1g-dev, python, dh-autoreconf, pkg-config, libboost-system-dev, dpkg-dev (>= 1.16.1), libboost-iostreams-dev, libboost-program-options-dev, libboost-filesystem-dev, libmdds-dev (>= 0.8.0), chrpath, libixion-dev (>= 0.7.0~)
+Build-Depends: debhelper (>= 8.0.0), zlib1g-dev, python, dh-autoreconf, pkg-config, libboost-system-dev, dpkg-dev (>= 1.16.1), libboost-iostreams-dev, libboost-program-options-dev, libboost-filesystem-dev, libmdds-dev (>= 0.12), chrpath, libixion-dev (>= 0.9.1-2)
 Standards-Version: 3.9.3
 Section: libs
 
 Package: liborcus-dev
 Section: libdevel
 Architecture: any
-Depends: liborcus-0.8-0 (= ${binary:Version}), liborcus-spreadsheet-model-0.8-0 (= ${binary:Version}), libzip-dev, ${misc:Depends}
+Multi-Arch: same
+Depends: liborcus-0.10-0v5 (= ${binary:Version}), liborcus-spreadsheet-model-0.10-0v5 (= ${binary:Version}), ${misc:Depends}
 Description: library for processing spreadsheet documents -- development
  Orcus is a library that provides a collection of standalone file processing
  filters.  It is currently focused on providing filters for spreadsheet
@@ -21,10 +22,13 @@
  This package contains headers, pkg-config file and static library for
  developing applications using Orcus.
 
-Package: liborcus-0.8-0
+Package: liborcus-0.10-0v5
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: liborcus-0.10-0
 Description: library for processing spreadsheet documents
  Orcus is a library that provides a collection of standalone file processing
  filters.  It is currently focused on providing filters for spreadsheet
@@ -34,10 +38,13 @@
  The library currently includes filters for xlsx, ods, csv, and generic XML
  formats.
 
-Package: liborcus-spreadsheet-model-0.8-0
+Package: liborcus-spreadsheet-model-0.10-0v5
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: liborcus-spreadsheet-model-0.10-0
 Description: library for processing spreadsheet documents - spreadsheet model library
  Orcus is a library that provides a collection of standalone file processing
  filters.  It is currently focused on providing filters for spreadsheet

=== debian/rules ===
--- 
+++ 
@@ -14,17 +14,17 @@
 ENABLE_SPREADSHEET_MODEL=y
 
 ifneq "$(ENABLE_SPREADSHEET_MODEL)" "y"
-	export DH_OPTIONS += -Nliborcus-spreadsheet-model-0.8-0
+	export DH_OPTIONS += -Nliborcus-spreadsheet-model-0.10-0
 endif
 
 %:
-	dh $@  --with autotools-dev --with autoreconf
+	dh $@  --parallel --with autoreconf
 
 override_dh_auto_configure:
 ifeq "$(ENABLE_SPREADSHEET_MODEL)" "y"
-	dh_auto_configure -- --disable-silent-rules --disable-werror --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- --disable-silent-rules --disable-werror --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 else
-	dh_auto_configure -- --disable-silent-rules --disable-werror --disable-spreadsheet-model --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- --disable-silent-rules --disable-werror --disable-spreadsheet-model --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 endif
 
 ifeq "$(DEB_HOST_ARCH)" "s390"
@@ -33,5 +33,5 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	chrpath -d debian/tmp/usr/lib/liborcus-0.8.so.0.0.0
+	chrpath -d debian/tmp/usr/lib/*/liborcus-0.10.so.0.0.0

## liborcus 0.11.2

=== debian/changelog ===
liborcus (0.11.2-3) unstable; urgency=medium

  * [42b61ea] move Maintainer: to Debian LibreOffice Maintainers
  * [2fb2287] multiarchify (closes: #798608)

 -- Rene Engelhard <rene@debian.org>  Wed, 07 Sep 2016 21:44:20 +0200

liborcus (0.11.2-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sat, 14 May 2016 10:47:27 +0200

liborcus (0.11.2-1) experimental; urgency=medium

  * Imported Upstream version 0.11.2
  * bump libmdds-dev build-dep to (>= 1.2)

 -- Rene Engelhard <rene@debian.org>  Fri, 13 May 2016 11:27:37 +0200

liborcus (0.11.1+dfsg-1) unstable; urgency=medium

  * upload to unstable

  * *sigh*. remove misc/OpenDocument-v1.2-os-schema.rng and
    AGAIN
  * debian/copyright: add Files-Excluded: to prevent them sneaking in
    again. 
  * debian/watch: fix filenamemangle

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Apr 2016 21:57:51 +0200

liborcus (0.11.1-1) experimental; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sat, 12 Mar 2016 12:57:07 +0100

liborcus (0.11.0-1) experimental; urgency=medium

  * New upstream release
  * add debian/watch
  * add Homepage:, update Source:

 -- Rene Engelhard <rene@debian.org>  Sun, 06 Mar 2016 20:09:45 +0100

liborcus (0.11.0~git20151122+dfsg-1) experimental; urgency=medium

  * update debian/copyright
  * remove misc/OpenDocument-v1.2-os-schema.rng and misc/ooxml-ecma-376/
    again which was forgotten to get removed from the orig this time and
    actually tell in README.source what was removed.
  * remove now unneeded build-dependency: python
  * package the python bindings; add python3-dev build-dep

 -- Rene Engelhard <rene@debian.org>  Mon, 08 Feb 2016 19:27:24 +0100

liborcus (0.11.0~git20151122-1) experimental; urgency=medium

  * New upstream snapshot 

 -- Rene Engelhard <rene@debian.org>  Sun, 03 Jan 2016 19:18:26 +0100

=== debian/control ===
Source: liborcus
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper (>= 9), zlib1g-dev, python3, dh-autoreconf, pkg-config, libboost-system-dev, dpkg-dev (>= 1.16.1), libboost-iostreams-dev, libboost-program-options-dev, libboost-filesystem-dev, libmdds-dev (>= 1.2), chrpath, libixion-dev (>= 0.11.0~), python3-dev
Standards-Version: 3.9.3
Section: libs
Homepage: https://gitlab.com/orcus/orcus

Package: liborcus-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liborcus-0.11-0 (= ${binary:Version}), liborcus-spreadsheet-model-0.11-0 (= ${binary:Version}), ${misc:Depends}
Description: library for processing spreadsheet documents -- development
 Orcus is a library that provides a collection of standalone file processing
 filters.  It is currently focused on providing filters for spreadsheet
 documents, but filters for other productivity application types (such as
 wordprocessor and presentation) are in consideration.
 .
 The library currently includes filters for xlsx, ods, csv, and generic XML
 formats.
 .
 This package contains headers, pkg-config file and static library for
 developing applications using Orcus.

Package: liborcus-0.11-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for processing spreadsheet documents
 Orcus is a library that provides a collection of standalone file processing
 filters.  It is currently focused on providing filters for spreadsheet
 documents, but filters for other productivity application types (such as
 wordprocessor and presentation) are in consideration.
 .
 The library currently includes filters for xlsx, ods, csv, and generic XML
 formats.

Package: liborcus-spreadsheet-model-0.11-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for processing spreadsheet documents - spreadsheet model library
 Orcus is a library that provides a collection of standalone file processing
 filters.  It is currently focused on providing filters for spreadsheet
 documents, but filters for other productivity application types (such as
 wordprocessor and presentation) are in consideration.
 .
 The library currently includes filters for xlsx, ods, csv, and generic XML
 formats.
 .
 This package contains a library abstracting the spreadsheet model.

Package: python3-orcus
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: library for processing spreadsheet documents - python bindings
 Orcus is a library that provides a collection of standalone file processing
 filters.  It is currently focused on providing filters for spreadsheet
 documents, but filters for other productivity application types (such as
 wordprocessor and presentation) are in consideration.
 .
 The library currently includes filters for xlsx, ods, csv, and generic XML
 formats.
 .
 This package contains the python bindings for liborcus.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

ENABLE_SPREADSHEET_MODEL=y

ifneq "$(ENABLE_SPREADSHEET_MODEL)" "y"
	export DH_OPTIONS += -Nliborcus-spreadsheet-model-0.11-0
endif

%:
	dh $@  --parallel --with autoreconf --with python3

override_dh_auto_clean:
	rm -rf src/python/orcus/__pycache__/
	dh_auto_clean

override_dh_auto_configure:
ifeq "$(ENABLE_SPREADSHEET_MODEL)" "y"
	dh_auto_configure -- --disable-silent-rules --disable-werror --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
else
	dh_auto_configure -- --disable-silent-rules --disable-werror --disable-spreadsheet-model --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
endif

ifeq "$(DEB_HOST_ARCH)" "s390"
override_dh_auto_test:
endif

override_dh_auto_install:
	dh_auto_install
	find debian/tmp/usr/lib/python* -name "*.*a" -exec rm {} \;
	chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liborcus-0.11.so.0.0.0

=== debian/watch ===
version=2
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S*)/orcus-$1\.tar\.gz/g \
  https://gitlab.com/orcus/orcus/tags .*archive\.tar\.gz\?ref=v?(\d\S*)
